Ticket #13912: iconv-1.13.1.p4.diff

File iconv-1.13.1.p4.diff, 1.9 KB (added by jpflori, 9 years ago)

Spkg diff, for review only.

  • SPKG.txt

    diff --git a/SPKG.txt b/SPKG.txt
    a b  
    2323
    2424== Changelog ==
    2525
     26=== iconv-1.13.1.p4 (Jean-Pierre Flori, 5 January 2013) ===
     27 * #13912: let iconv build on Cygwin without additional prereqs.
     28
    2629=== iconv-1.13.1.p3 (David Kirkby, August 10th, 2010) ===
    2730 * Use '$MAKE' instead of 'make' in spkg-install and spkg-check to enable
    2831   parallel builds, and allow the user to specify a different 'make' program.
  • spkg-install

    diff --git a/spkg-install b/spkg-install
    a b  
    11#!/usr/bin/env bash
    22
    33if [ -z "$SAGE_LOCAL" ]; then
    4     echo "SAGE_LOCAL undefined ... exiting"
    5     echo "Maybe run 'sage -sh'?"
     4    echo >&2 "SAGE_LOCAL undefined ... exiting"
     5    echo >&2 "Maybe run 'sage -sh'?"
    66    exit 1
    77fi
    88
     
    2121
    2222    # Let an environment variable CFLAG64 specify the option to generate 64-bit
    2323    # code. If this is not set, default to -m64:
    24     if [ -z "$CFLAG64" ]; then 
     24    if [ -z "$CFLAG64" ]; then
    2525        CFLAG64=-m64
    2626    fi
    2727
     
    3636        export CC
    3737    fi
    3838
     39    # Disable NLS on Cygwin to be able to build libiconv without the Cygwin
     40    # libiconv package.
     41    if [ "$UNAME" = "CYGWIN" ]; then
     42        ICONV_CONFIGURE="--disable-nls $ICONV_CONFIGURE"
     43    fi
     44
    3945    cd src
    4046
    41     ./configure --prefix="$SAGE_LOCAL"
     47    ./configure --prefix="$SAGE_LOCAL" --libdir="$SAGE_LOCAL/lib" $ICONV_CONFIGURE
    4248    if [ $? -ne 0 ]; then
    43         echo "Error configuring iconv"
     49        echo >&2 "Error configuring iconv"
    4450        exit 1
    4551    fi
    4652
    4753    $MAKE
    4854    if [ $? -ne 0 ]; then
    49         echo "Error building iconv"
     55        echo >&2 "Error building iconv"
    5056        exit 1
    5157    fi
    5258
    5359    $MAKE install
    5460    if [ $? -ne 0 ]; then
    55         echo "Error installing iconv"
     61        echo >&2 "Error installing iconv"
    5662        exit 1
    5763    fi
    5864    exit 0
     
    6874esac
    6975
    7076# NOT REACHED
    71